// 导出所有游戏Store
export { useTurtleSoupStore } from './turtlesoup'
// 未来会添加其他游戏Store
export { useWerewolfStore } from './werewolf'
// export { useScriptStore } from './script'

// 游戏类型与Store的映射
import { useTurtleSoupStore } from './turtlesoup'
import { useWerewolfStore } from './werewolf'
import { GAME_TYPES } from '@/services/games'

// 根据游戏类型获取对应的Store
export function getGameStoreByType(type: string) {
  switch(type) {
    case GAME_TYPES.TURTLE_SOUP:
      return useTurtleSoupStore
    // 未来会添加其他游戏类型
    case GAME_TYPES.WEREWOLF:
      return useWerewolfStore
    // case GAME_TYPES.SCRIPT:
    //   return useScriptStore
    default:
      throw new Error(`未知的游戏类型: ${type}`)
  }
}
